# Workspaces Production Deployment

### Before Deployment

* Ensure all changes made to the RC branch during testing have been added back into main.
* Create Release Notes
* Update <span style="color:cornflowerblue">dsoc-prod</span> Capo Properties
* Back up Production Database (If deploying in conjunction with AAT, the AAT procedure covers this step)
* Send 'Beginning Deployment' notification to <span style="color:cornflowerblue">ssa-announcements@nrao.edu</span>



### At Deployment

* Checkout the latest release candidate branch.
* Run any needed schema migrations on the production database: <span style="color:cornflowerblue">
  docker compose -f docker-compose.local.yml --profile schema-prod up schema-prod
  </span>
* Tag the release candidate branch for production deployment: 
  <span style="color:cornflowerblue">
  {version#}
  </span>
  * This tag is then automatically pushed up to the production server as part of the WS CI/CD pipeline.


### After Deployment
* Ensure test PEXes have been updated on the cluster after deployment to production. Check the build dates
  in the workspaces/sbin/ area.
* Smoke test production
* Send 'All Clear' notification to <span style="color:cornflowerblue">ssa-announcements@nrao.edu</span>
