# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""remove old null.dag file

Revision ID: 4e009168b3bf
Revises: 8a027ec917ff
Create Date: 2021-09-22 13:48:45.063540

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "4e009168b3bf"
down_revision = "8a027ec917ff"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        DELETE FROM workflow_templates WHERE filename='null.dag'
        """
    )


def downgrade():
    op.execute(
        """
        INSERT INTO workflow_templates (filename, content, workflow_name)
        VALUES ('null.dag', E'JOB null null.condor', 'null')
        """
    )
