# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""new action for WS-level qa-pass work

Revision ID: d9caa9497091
Revises: 5f2672e2233d
Create Date: 2021-11-03 14:58:45.006486

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "d9caa9497091"
down_revision = "5f2672e2233d"
branch_labels = None
depends_on = None


def upgrade():
    new_qa_pass_action_sql = """
    insert into capability_state_actions (transition_id, action_type, arguments)
    select transition_id, 'QaPass', null as arguments
    from capability_state_transitions where pattern = 'type == qa-pass'
    """

    op.execute(new_qa_pass_action_sql)


def downgrade():
    op.execute("DELETE FROM capability_state_actions WHERE action_type = 'QaPass'")
